IPC::Run::Win32Pump(3)

NAME
IPC::Run::Win32Pump - helper processes to shovel data to/from parent, child

SYNOPSIS
Internal use only; see IPC::Run::Win32IO and best of luck to you.

DESCRIPTION
See IPC::Run::Win32Helper for details. This module is used in subprocesses that are spawned to shovel data to/from parent processes from/to their child processes. Where possible, pumps are optimized away.

NOTE: This is not a real module: it's a script in module form, designed to be run like

   $^X -MIPC::Run::Win32Pumper -e 1 ...

It parses a bunch of command line parameters from IPC::Run::Win32IO.

AUTHOR
Barries Slaymaker <barries@slaysys.com>. Funded by Perforce Software, Inc.

COPYRIGHT
Copyright 2001, Barrie Slaymaker, All Rights Reserved.

You may use this under the terms of either the GPL 2.0 ir the Artistic License.